Get contact verification status for a domain
GET
https://api.vercel.com/v1/registrar/domains/{domain}/contact-verificationGet the registrant contact verification status for a domain. Use this after purchasing a domain to determine whether the contact has been verified. Note that a bought_too_recently error will be returned if the domain was bought less than 30 minutes before the request.
Request
import { Vercel } from "@vercel/sdk";
const vercel = new Vercel({ bearerToken: "<YOUR_BEARER_TOKEN_HERE>",});
async function run() { const result = await vercel.domainsRegistrar.getDomainContactVerification({ domain: "impolite-guide.org", teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l", });
console.log(result);}
run();Response
{ "verified": "true"}Errors
{ "status": "400", "code": "bought_too_recently", "message": "string"}AuthorizationbearerToken
Default authentication mechanism
400There was something wrong with the request
404The domain was not found in our system.
429TooManyRequests